using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace iq2dev.com.IQCommLib
{
    public static class IQCommErrorCodes
    {
        public static Dictionary<ushort, string> description = new Dictionary<ushort, string>();

        static IQCommErrorCodes()
        {
            description.Add(0x1201, "RS232 interbyte timeout");
            description.Add(0x1202, "SSP interbyte timeout");
            description.Add(0x1203, "checksum error");
            description.Add(0x1204, "unknown knight rider command");
            description.Add(0x1205, "illegal knight rider command data");
            description.Add(0x1301, "bootloader error (no details)");
            description.Add(0x1401, "fast download answer interbyte timeout (1 msec)");
            description.Add(0x1402, "fast download answer in process");
            description.Add(0x1501, "iq parameter does not exist");
            description.Add(0x1502, "iq parameter access denied");
            description.Add(0x1503, "iq parameter value out of range");
            description.Add(0x1601, "master appl state conflict");
            description.Add(0x1602, "wrong data length");
            description.Add(0x1603, "no such master iq command");
            description.Add(0x1701, "device appl state conflict");
            description.Add(0x1702, "wrong data length");
            description.Add(0x1703, "no such device iq command");

            description.Add(0x1704, "ISDU internal error");
            description.Add(0x1705, "ISDU does not exist");
            description.Add(0x1706, "ISDU is locked");
            description.Add(0x1707, "ISDU access denied");
            description.Add(0x1708, "ISDU subindex is not available");
            description.Add(0x1709, "ISDU value out of range");
            description.Add(0x170A, "ISDU length underrun");
            description.Add(0x170B, "ISDU length overrun");
            description.Add(0x170C, "ISDU value underrun");
            description.Add(0x170D, "ISDU value overrun");
            description.Add(0x170E, "ISDU is unavaliable");
            description.Add(0x170F, "ISDU is temporary unavaliable");
            description.Add(0x1710, "ISDU inconsistent set");
            //description.Add( 0x, "");
        }
    }
}
